org.apache.cassandra.db

## Class AbstractThreadUnsafeSortedColumns

- java.lang.Object
- - org.apache.cassandra.db.ColumnFamily
  - - org.apache.cassandra.db.AbstractThreadUnsafeSortedColumns

All Implemented Interfaces:
  java.lang.Iterable<Column>, IRowCacheEntry

Direct Known Subclasses:
  ArrayBackedSortedColumns, EmptyColumns, TreeMapBackedSortedColumns, UnsortedColumns

    public abstract class AbstractThreadUnsafeSortedColumns
    extends ColumnFamily

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.ColumnFamily

`ColumnFamily.Factory<T extends ColumnFamily>`

### Field Summary

Fields
`protected DeletionInfo` `deletionInfo`

### Fields inherited from class org.apache.cassandra.db.ColumnFamily

`metadata, serializer`

### Constructor Summary

Constructors
`` `AbstractThreadUnsafeSortedColumns(CFMetaData metadata)`
`protected` `AbstractThreadUnsafeSortedColumns(CFMetaData metadata, DeletionInfo deletionInfo)`

### Method Summary

Methods
`void` `delete(DeletionInfo newInfo)`
`void` `delete(DeletionTime delTime)`
`protected void` `delete(RangeTombstone tombstone)`
`DeletionInfo` `deletionInfo()`
`void` `purgeTombstones(int gcBefore)` Purges any tombstones with a local deletion time before gcBefore.
`void` `setDeletionInfo(DeletionInfo newInfo)`

### Methods inherited from class org.apache.cassandra.db.ColumnFamily

`addAll, addAll, addAtom, addColumn, addColumn, addColumn, addColumn, addCounter, addIfRelevant, addTombstone, addTombstone, asMap, clear, cloneMe, cloneMeShallow, cloneMeShallow, dataSize, delete, diff, diff, digest, equals, fromBytes, getColumn, getColumnCount, getColumnNames, getColumnStats, getComparator, getFactory, getReverseSortedColumns, getSortedColumns, getType, hashCode, hasIrrelevantData, hasOnlyTombstones, id, inOrderDeletionTester, isEmpty, isInsertReversed, isMarkedForDelete, iterator, iterator, maxTimestamp, metadata, replace, resolve, resolve, reverseIterator, reverseIterator, toBytes, toString, updateDigest`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### deletionInfo

    protected DeletionInfo deletionInfo

### Constructor Detail

#### AbstractThreadUnsafeSortedColumns

    public AbstractThreadUnsafeSortedColumns(CFMetaData metadata)

#### AbstractThreadUnsafeSortedColumns

    protected AbstractThreadUnsafeSortedColumns(CFMetaData metadata,
                                     DeletionInfo deletionInfo)

### Method Detail

#### deletionInfo

    public DeletionInfo deletionInfo()

Specified by:
  `deletionInfo` in class `ColumnFamily`

#### delete

    public void delete(DeletionTime delTime)

Specified by:
  `delete` in class `ColumnFamily`

#### delete

    public void delete(DeletionInfo newInfo)

Specified by:
  `delete` in class `ColumnFamily`

#### delete

    protected void delete(RangeTombstone tombstone)

Specified by:
  `delete` in class `ColumnFamily`

#### setDeletionInfo

    public void setDeletionInfo(DeletionInfo newInfo)

Specified by:
  `setDeletionInfo` in class `ColumnFamily`

#### purgeTombstones

    public void purgeTombstones(int gcBefore)

Purges any tombstones with a local deletion time before gcBefore.

Specified by:
  `purgeTombstones` in class `ColumnFamily`
Parameters:
  `gcBefore` - a timestamp (in seconds) before which tombstones should be purged